#ifndef __mx_account_h__
#define __mx_account_h__

#include "vars.h"


long account_calls(CVars in, CVars &out);
long CreateCoreGradeAccount(CVars in, CVars &out);
long CreateCoreGradeAccountPending(CVars in, CVars &out);
long LoginCoreGradeAccount( CVars in, CVars &out );
long SessionCheck(long uid, const char *sessionid, int create );
long account_session_check(CVars in, CVars out);

long CompleteAddCustomerBalance(CVars in, CVars &out);
long InitiateAddCustomerBalance(CVars in, CVars &out);
long DeliverMobilseEtisalat(CVars in, CVars &out);
long GateDeliverMobilseEtisalat(CVars in, CVars &out);
long ETSL_configure(CVars in, CVars &out);
long AddMobileTopuNumber(CVars in, CVars &out);


#endif

